%global momorel 2
Summary: Omni printer driver library install program
Name: Omni
Version: 0.9.2
Release: %{momorel}m
Group: System Environment/Base
License: LGPL
URL: http://www.ibm.com/linux/ltc/projects/omni/
Source0: http://telia.dl.sourceforge.net/omniprint/%{name}-%{version}.tar.gz
NoSource: 0
Patch1: omni-gcc34.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

#Obsoletes: Omni-foomatic
Obsoletes: Omni-Brother Omni-Canon Omni-Epson Omni-HP Omni-IBM Omni-KS Omni-Kyocera Omni-Okidata Omni-Panasonic Omni-Star
BuildPreReq: libxml2-devel cups-devel
BuildPreReq: gcc-c++ >= 3.4.1-1m
BuildPreReq: foomatic >= 3.0.0
BuildPreReq: foomatic-db
PreReq: foomatic

%description
The Omni printer driver provides support for over 300 printers using
the Ghostscript framework. In addition, it provides a model for dynamically
loading printer drivers, creating new devices by editing device description
files, and simplifies new printer driver development by allowing for the
subclassing of previous device features.


%package foomatic
Summary: Foomatic data for the Omni Print Driver System
Group: System Environment/Libraries
Requires: Omni = %{version}-%{release}, foomatic
PreReq: fileutils


%description foomatic
Foomatic driver meta information for the Omni Print Driver framework.


%prep
%setup -q -n %{name}

aclocal

# Prevent warnings messing up configure tests.
%patch1 -p1 -b .gcc34
autoconf

# move readme into the directory, where it belongs
mv ../Omni.Readme.1st .


%build
# Make the omni libs
CFLAGS="%{optflags}"
CXXFLAGS="%{optflags}"
export CFLAGS CXXFLAGS
libtoolize --copy --force
./setupOmni --prefix=%{_prefix} --libdir=%{_libdir} --enable-devicecompile --disable-devicexml

# Make the foomatic files
cd Foomatic
make localInstall FOOMATICROOT=$(pwd)
cd ..


%install
rm -rf %{buildroot}
%makeinstall \
        libdir=%{buildroot}%{_libdir} \
	CUPSEXEROOT=%{buildroot}%{_libdir}/cups/filter \
	CUPSDATAROOT=%{buildroot}%{_datadir}/cups/model/foomatic
			
# Update any old-style printer IDs still left around.
echo '#!/usr/bin/perl -pi' > convert-printerids.pl
sed -e 's|^\(.*\) \(.*\)$|s,printer/\1,printer/\2,g;|' \
        %{_datadir}/foomatic/db/oldprinterids >> convert-printerids.pl
chmod a+x convert-printerids.pl
./convert-printerids.pl Foomatic/foomatic-db/db/source/*/*.xml
	
# Install the foomatic data
mkdir -p %{buildroot}/usr/share/foomatic/db/source/{driver,opt}
cp -a Foomatic/foomatic-db/db/source/driver/* \
        %{buildroot}/usr/share/foomatic/db/source/driver/
cp -a Foomatic/foomatic-db/db/source/opt/* \
        %{buildroot}/usr/share/foomatic/db/source/opt/
	
rm -f %{buildroot}%{_prefix}/*.xsd
rm -rf %{buildroot}%{_bindir}
rm -rf %{buildroot}%{_libdir}/cups/filter
rm -rf %{buildroot}%{_datadir}/cups/model/foomatic
		
%clean
rm -rf %{buildroot}

%post foomatic
# zap the cache
/bin/rm -rf /var/cache/foomatic/{pcache,compiled}/*

%files
%defattr(-,root,root)
%{_libdir}/Omni
%{_datadir}/Omni


%files foomatic
%defattr(-,root,root)
/usr/share/foomatic/db/*/*


%changelog
* Mon Mar 14 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9.2-2m)
- add --libdir=%%{_libdir} for x86_64

* Wed Mar  8 2005 Toru Hoshina <t@momonga-linux.org>
- (0.9.2-1m)
- ver up. sync with FC3(0.9.2-1.1).

* Thu Feb 24 2005 Toru Hoshina <t@momonga-linux.org>
- (0.9.1-1m)
- ver up.
- drivers are no longer separated.

* Fri Aug 13 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.9.0-4m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Mon Sep  1 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.0-3m)
- add BuildPreReq: foomatic-db for /usr/share/foomatic/db/oldprinterids

* Mon Sep  1 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.9.0-2m)
- remove %%update_foomatic_cache from %%post and %%preun (this macro is no longer defined...)

* Fri Aug 29 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (0.9.0-1m)
- upgrade 0.9.0

* Tue May 27 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.7.1-2m)
- remove Omni-jobdialog sub package which depends on gtk+1

* Sun Dec 15 2002 Kenta MURATA <muraken@momonga-linux.org>
- (0.7.1-1m)
- version up to 0.7.1.

* Tue Jun  4 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.6.0-10k)
- the file list of Epson driver should be filelist.Epson

* Sat Apr  6 2002 Kenta MURATA <muraken@kondara.org>
- (0.6.0-4k)
- omit Omni-foomatic package. it merged foomatic.

* Sat Apr  6 2002 Kenta MURATA <muraken@kondara.org>
- (0.6.0-2k)
- first release.
